<?php
/**
 * bin/autoload.php
 *
 * Handles the initial setup like autoloading, basic functions, constants, etc.
 *
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com/houdini
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Houdini;

use TheTempusProject\Hermes\Classes\Autoloader;

if ( ! defined('HOUDINI_CONSTANTS_LOADED' ) ) {
    require_once dirname( __DIR__ ) . DIRECTORY_SEPARATOR . 'config' . DIRECTORY_SEPARATOR . 'constants.php';
}

$autoloader = new Autoloader;
$autoloader->setRootFolder( HOUDINI_ROOT_DIRECTORY );
$autoloader->addNamespace(
    'TheTempusProject\Houdini\Classes',
    'classes'
);
$autoloader->register();

define( 'HOUDINI_AUTOLOADED', true );
